package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
 * 检查推送信息配置对象 lab_check_config
 *
 * @author liubo
 * @date 2021-12-30
 */
@ApiModel("检查推送信息配置")
public class LabCheckConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    public LabCheckConfig() {
        String str = "";
        this.setCheckAioMsg(str);
        this.setCheckAppMsg(str);
        this.setCheckSmsMsg(str);
        this.setRectifyAioMsg(str);
        this.setRectifyAppMsg(str);
        this.setRectifySmsMsg(str);
    }

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 检查短信通知
     */
    @Excel(name = "检查短信通知")
    @Length(message = "检查短信通知长度不能超过255")
    @ApiModelProperty(value = "检查短信通知")
    private String checkSmsMsg;
    /**
     * 检查一体机通知
     */
    @Excel(name = "检查一体机通知")
    @Length(message = "检查一体机通知长度不能超过255")
    @ApiModelProperty(value = "检查一体机通知")
    private String checkAioMsg;
    /**
     * 检查小程序通知
     */
    @Excel(name = "检查小程序通知")
    @Length(message = "检查小程序通知长度不能超过255")
    @ApiModelProperty(value = "检查小程序通知")
    private String checkAppMsg;
    /**
     * 整改短信通知
     */
    @Excel(name = "整改短信通知")
    @Length(message = "整改短信通知长度不能超过255")
    @ApiModelProperty(value = "整改短信通知")
    private String rectifySmsMsg;
    /**
     * 整改一体机通知
     */
    @Excel(name = "整改一体机通知")
    @Length(message = "整改一体机通知长度不能超过255")
    @ApiModelProperty(value = "整改一体机通知")
    private String rectifyAioMsg;
    /**
     * 整改小程序通知
     */
    @Excel(name = "整改小程序通知")
    @Length(message = "整改小程序通知长度不能超过255")
    @ApiModelProperty(value = "整改小程序通知")
    private String rectifyAppMsg;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCheckSmsMsg(String checkSmsMsg) {
        this.checkSmsMsg = checkSmsMsg;
    }

    public String getCheckSmsMsg() {
        return checkSmsMsg;
    }

    public void setCheckAioMsg(String checkAioMsg) {
        this.checkAioMsg = checkAioMsg;
    }

    public String getCheckAioMsg() {
        return checkAioMsg;
    }

    public void setCheckAppMsg(String checkAppMsg) {
        this.checkAppMsg = checkAppMsg;
    }

    public String getCheckAppMsg() {
        return checkAppMsg;
    }

    public void setRectifySmsMsg(String rectifySmsMsg) {
        this.rectifySmsMsg = rectifySmsMsg;
    }

    public String getRectifySmsMsg() {
        return rectifySmsMsg;
    }

    public void setRectifyAioMsg(String rectifyAioMsg) {
        this.rectifyAioMsg = rectifyAioMsg;
    }

    public String getRectifyAioMsg() {
        return rectifyAioMsg;
    }

    public void setRectifyAppMsg(String rectifyAppMsg) {
        this.rectifyAppMsg = rectifyAppMsg;
    }

    public String getRectifyAppMsg() {
        return rectifyAppMsg;
    }

}
